import { AsyncFunction } from './types';
declare class JsObject {
    notConfigurable: any;
    notEnumerable: any;
    notWritable: any;
    getter: any;
    setter: any;
    properties: any;
    eval: any;
    length: any;
    boundThis_: any;
    boundArgs_: any;
    strict: any;
    parentScope: any;
    node: any;
    nativeFunc: any;
    asyncFunc: AsyncFunction;
    /**
     * Class for an object.
     * @param {Interpreter.Object} parent Parent constructor function.
     * @constructor
     */
    constructor(parent: any);
    /**
     * @type {string}
     */
    type: string;
    /**
     * @type {Interpreter.Object}
     */
    parent: any;
    /**
     * @type {boolean}
     */
    isPrimitive: boolean;
    /**
     * @type {number|string|boolean|undefined|!RegExp}
     */
    data: any;
    /**
     * Convert this object into a boolean.
     * @return {boolean} Boolean value.
     */
    toBoolean(): boolean;
    /**
     * Convert this object into a number.
     * @return {number} Number value.
     */
    toNumber(): number;
    /**
     * Convert this object into a string.
     * @return {string} String value.
     * @override
     */
    toString(): string;
    /**
     * Return the object value.
     * @return {*} Value.
     * @override
     */
    valueOf(): any;
}
export default JsObject;
