declare class Primitive {
    /**
     * Class for a number, string, boolean, null, or undefined.
     * @param {number|string|boolean|null|undefined} data Primitive value.
     * @param {!Interpreter} interpreter The JS Interpreter to bind to.
     * @constructor
     */
    constructor(data: any, interpreter: any);
    /**
     * @type {number|string|boolean|null|undefined}
     */
    data: any;
    /**
     * @type {string}
     */
    type: string;
    /**
     * @type {Function}
     */
    parent: any;
    /**
     * @type {boolean}
     */
    isPrimitive: boolean;
    /**
     * Convert this primitive into a boolean.
     * @return {boolean} Boolean value.
     */
    toBoolean(): boolean;
    /**
     * Convert this primitive into a number.
     * @return {number} Number value.
     */
    toNumber(): number;
    /**
     * Convert this primitive into a string.
     * @return {string} String value.
     * @override
     */
    toString(): string;
    /**
     * Return the primitive value.
     * @return {number|string|boolean|null|undefined} Primitive value.
     * @override
     */
    valueOf(): any;
}
export default Primitive;
