import JsObject from './JsObject';
/**
 * Compares two objects against each other.
 * @param {!Object} a First object.
 * @param {!Object} b Second object.
 * @return {number} -1 if a is smaller, 0 if a == b, 1 if a is bigger,
 *     NaN if they are not comparable.
 */
export declare function comp(a: JsObject, b: JsObject): number;
/**
 * Is a value a legal integer for an array?
 * @param {*} n Value to check.
 * @return {number} Zero, or a positive integer if the value can be
 *     converted to such.  NaN otherwise.
 */
export declare function arrayIndex(n: any): any;
/**
 * Remove start and end values from AST.
 * Used to remove highlighting from polyfills.
 * @param {!Object} node AST node.
 * @private
 */
export declare function stripLocations(node: any): void;
/**
 * Is an object of a certain class?
 * @param {Object} child Object to check.
 * @param {Object} parent Constructor of object.
 * @return {boolean} True if object is the class or inherits from it.
 *     False otherwise.
 */
export declare function isa(child: any, parent: any): boolean;
export declare function strictComp(a: JsObject, b: JsObject): boolean;
